"""
Phevo - an infectious game
Copyright (C) 2007  Mike Edwards

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

$Date: 2007-04-03 05:02:08 -0400 (Tue, 03 Apr 2007) $
$Revision: 22 $
"""
#Display
width,height = (1024,768)
grid_width,grid_height = (8,8)
title  = "Phevo (PyGame)"
data_path = "data/"
image_path = data_path + "images/"
sound_path = data_path + "sounds/"
background = image_path + "background.png"
innershapes = image_path + "innershapes.png"
outershapes = image_path + "outershapes.png"
deathicon = image_path + "death.png"
sickicon = image_path + "sickness.png"
margin = 100
framerate = 60

#Model
cure_rate = 1000
kill_rate = 20
infect_rate = 2
mutation_rate = 4
max_neighbors = 4
max_syringe_bugs = 5
mask = 12
population_update_rate = 10
population_rebirth_rate = 600
players = 2
bug_mutation_period = 300

#Debug
debug = True
debug_names = range(4)
#debug_names[2] = ("red","orange","yellow","magenta")
#debug_names[3] = ("star","moon","clover","plus")
#debug_names[0] = ("purple","blue","green","cyan")
#debug_names[1] = ("circle","diam","penta","hexa")

debug_names[0] = ("blue","green","yellow","orange")
debug_names[1] = ("penta","spoke","star","comma")